This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 697986 - [Arrandale] touchscreen on lenovo x201t no longer works
[Arrandale] touchscreen on lenovo x201t no longer works
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
15
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
[cat:noinput]
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-19 16:20 EDT by Joakim Verona
Modified: 2011-06-02 14:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: gnome-settings-daemon-3.0.1-6.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 07:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
caillon: fedora_requires_release_note?


Attachments (Terms of Use)
xorg log (50.89 KB, text/plain)
2011-05-12 17:41 EDT, Joakim Verona
no flags Details
/proc/bus/input/devices (2.34 KB, text/plain)
2011-05-14 14:04 EDT, Joakim Verona
no flags Details

  None (edit)
Description Joakim Verona 2011-04-19 16:20:17 EDT
Description of problem:
touchscreen on lenovo x201t no longer works on F15beta.
It works fine on F14.

Touch works on loginscreen but not after login.

The wacom pen part og the screen still works

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. login
2. toucscreen doesnt work
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2011-04-20 16:42:49 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log),
* all files in /etc/X11/xorg.conf.d/ directory,
* output of the dmesg command, and
* system log (/var/log/messages)
* output of the evtest against /dev/input/* (see in /var/log/Xorg.0.log the name of the file which is relevant for the touchscreen input)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Joakim Verona 2011-05-12 17:41:25 EDT
Created attachment 498642 [details]
xorg log

xorg log
Comment 3 Joakim Verona 2011-05-12 17:52:37 EDT
 cat /etc/X11/xorg.conf.d/00-system-setup-keyboard.conf 
# This file is autogenerated by system-setup-keyboard. Any 
# modifications will be lost.

Section "InputClass"
	Identifier	"system-setup-keyboard"
	MatchIsKeyboard	"on"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"us"
	Option		"XkbVariant"	"dvorak"
	Option		"XkbOptions"	"terminate:ctrl_alt_bksp,"
EndSection

there doesnt seem to be a event device.

/var/log/messages is empty.

there was nothing particular in dmesg except a lot of mail log.
Comment 4 Matěj Cepl 2011-05-14 12:41:50 EDT
(In reply to comment #3)
> there doesnt seem to be a event device.

Really, I cannot find one. I believe that we are on https://fedoraproject.org/wiki/Xorg/Input_Triage_Algorithm#How_to_spread_bugs_between_evdev.2C_-mouse_or_-keyboard_and_kernel step 1.

Could you please provide us with output of the command

cat /proc/bus/input/devices

(please, attach it, as it may be quite long),

Thank you in advance
Comment 5 Joakim Verona 2011-05-14 14:02:49 EDT
There are aparently none of my wacom devices there.

The stylus does in fact work however.
Comment 6 Joakim Verona 2011-05-14 14:04:42 EDT
Created attachment 498943 [details]
/proc/bus/input/devices
Comment 7 Matěj Cepl 2011-05-14 18:45:02 EDT
I believe we should move the bug to the kernel component, but I will leave the final decision on the maintainer of Xorg copmonent.

Passing to developers.
Comment 8 Peter Hutterer 2011-05-15 23:55:51 EDT
Serial devices are currently still handled by the X driver directly (though we do have a serial kernel driver now). That's why they don't show up in /proc but the X log still shows them.

Either way, if it works at login but not after, this suggests that one of the gnome default settings seems to interact badly.

the schemas that matter are:
org.gnome.settings-daemon.peripherals.wacom
org.gnome.settings-daemon.peripherals.wacom.pad
org.gnome.settings-daemon.peripherals.wacom.cursor
org.gnome.settings-daemon.peripherals.wacom.eraser
org.gnome.settings-daemon.peripherals.wacom.stylus

these contain the settings gnome applies after login. you can have a look at each schema's keys with
gsettings list-keys <schema>

and then get/set the keys with gsettings get/set <schema> <key> [value]
my first guess would be org.gnome.settings-daemon.peripherals.wacom touch, try enabling that.
Comment 9 Joakim Verona 2011-05-16 11:00:29 EDT
gsettings set org.gnome.settings-daemon.peripherals.wacom touch true

works! fantastic!

Now If I could have multitouch working also :)
(actually the screen syntesizes scroll wheel events on a pinch gesture by default)
Comment 10 Peter Hutterer 2011-05-16 20:22:15 EDT
(In reply to comment #9)
> gsettings set org.gnome.settings-daemon.peripherals.wacom touch true
> 
> works! fantastic!
> 
> Now If I could have multitouch working also :)

heh. not yet, not real MT anyway.

> (actually the screen syntesizes scroll wheel events on a pinch gesture by
> default)

yeah, the wacom driver has some built-in gestures that work more or less, depending on what app is in focus.


I'm closing as NOTABUG though I admit that we need more documentation here. Matej, should we add this to common bugs or so?
Comment 11 Peter Hutterer 2011-05-25 18:48:50 EDT
just as a follow-up, we've changed the upstream gnome default to be true, not false for touch to avoid this issue in the future.
Comment 12 Peter Hutterer 2011-05-26 20:21:21 EDT
reopening, reassigning to gnome-settings-daemon, will submit an update shortly.
Comment 13 Fedora Update System 2011-05-26 20:56:44 EDT
gnome-settings-daemon-3.0.1-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-settings-daemon-3.0.1-6.fc15
Comment 14 Fedora Update System 2011-05-27 16:25:31 EDT
Package gnome-settings-daemon-3.0.1-6.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-settings-daemon-3.0.1-6.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-settings-daemon-3.0.1-6.fc15
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2011-06-02 07:01:38 EDT
gnome-settings-daemon-3.0.1-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-06-02 14:59:11 EDT
gnome-settings-daemon-3.0.1-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.